server {
  listen 80;
  server_name _;

  gzip on;
  gzip_min_length 1k;
  gzip_buffers 4 16k;
  gzip_http_version 1.0;
  gzip_comp_level 4;
  gzip_types text/plain application/x-javascript text/css application/xml application/javascript;
  gzip_vary on;

  set $normalPath "/home/quant_group/spider-center-ui/dist";
  set $channelPath "/home/quant_group/new-spider-center-ui/dist";
  
  set $registerChannel "999999";
  set $merchantChannel "";
  
  set $excludeChannel "504,900";
  set $tailNumber "1,2,3,4,5,6,7,8,9"; 
  
  location / {
    expires -1;
    set_by_lua_file $rootPath /etc/nginx/lua/phoneChannel.lua;
    header_filter_by_lua_file /etc/nginx/lua/addCookie.lua;

    root $rootPath;
    try_files $uri $uri/ /index.html?$query_string;
  }
}
